function vrwmScan1_stop_fcn(object,event)

userdata=object.userdata;

% process data
runNr=userdata.runNr;
n=userdata.frameNumIter-1;
data=userdata.xyPath(1:n,:);
frameNumStore=userdata.frameNumStore(1:n,:);
trialStateStore=userdata.trialStateStore(1:n,:);
trialStore=userdata.trialStore(1:n,:);
pulseReg=userdata.pulseReg(1:n,:);
aPress=userdata.aPress(1:n,:);
subCode=userdata.subCode;
trialOrderArray1=userdata.trialOrderArray1;
groupName=userdata.groupName;
trialTypeStore=userdata.trialTypeStore(1:n,:);


trialOrderArray1 = [0; trialOrderArray1];
startPosArray=[];
for i = 1:trialStore(end,1)+1
    newArray = trialStore(trialStore==i-1);
    newArray(:,1) = trialOrderArray1(i,1);
    startPosArray = [startPosArray; newArray];
end

% join data
dataMatrix(1:n,1)=trialStore;
dataMatrix(1:n,2)=frameNumStore;
dataMatrix(1:n,3:6)=data;
dataMatrix(1:n,7)=trialStateStore;
dataMatrix(1:n,8:10)=trialTypeStore;
dataMatrix(1:n,11)=aPress;
dataMatrix(1:n,12)=pulseReg;
dataMatrix(1:n,13)=startPosArray;

if runNr == 1
    saveDir = ['C:/Matlab/VRWM/VRWMdata/' groupName '/' subCode '/vrwmScan1/'];
    mkdir(saveDir);
end

% store data
saveName=['C:/Matlab/VRWM/VRWMdata/' groupName '/' subCode '/vrwmScan1/' subCode 'Run' num2str(runNr) 'vrwmScan1data.txt'];
dlmwrite(saveName, dataMatrix, 'delimiter', '\t', 'precision', 6, '-append')

disp('data saved')

if userdata.trial == userdata.nrTrials
    disp('run finished')
else
    disp('program interrupted by esc-press')
end

object.userdata=userdata;

% stop this script
stop(object)
% show cursor
ShowCursor

vrclear
delete(timerfind);

